Skip to main content
`Ctrl`+`K`

# DSDuplicate

Creates a new direct solver object with the same options as an existing one.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSDuplicate(DS ds,DS *dsnew)

Collective

## Input Parameter

- ds - direct solver context

## Output Parameter

- dsnew - location to put the new `DS`

## Notes

`DSDuplicate()` DOES NOT COPY the matrices, and the new `DS` does not even have internal arrays allocated. Use `DSAllocate()` to use the new `DS`.

The sorting criterion options are not copied, see `DSSetSlepcSC()`.

## See Also

DS: Direct Solver (or Dense System), `DSCreate()`, `DSAllocate()`, `DSSetSlepcSC()`

## Level

intermediate

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages